import { Popover, Space } from 'antd'
import React, { useMemo } from 'react'

interface Props {
    creativeComponents: {
        brand: {
            value: {
                brandName: string
            }
        }[],
        description: {
            value: {
                content: string
            }
        }[],
        video: {
            value: {
                videoUrl: string
            }
        }[]
    }
}
/**
 * 预览
 */
const Box: React.FC<Props> = ({ creativeComponents }) => {


    let el = useMemo(() => {
        let video = creativeComponents?.video?.[0]?.value?.videoUrl
        let title = creativeComponents?.brand?.[0]?.value?.brandName
        let description = creativeComponents?.description?.[0]?.value?.content
        if (video) {
            return <div>
                <Popover
                    placement='right'
                    content={<div>
                        <div style={{ maxWidth: 300 }}><strong style={{ fontSize: 15 }}>标题:</strong>{title}</div>
                        <small style={{ fontSize: 10, maxWidth: 300, display: 'inline-block' }}><strong style={{ fontSize: 13 }}>描述：</strong>{description}</small>
                        <Space style={{ maxWidth: 300, display: 'flex', flexFlow: 'row wrap', margin: '10px 0' }}>
                            <video src={video} style={{ width: 250 }} controls />
                        </Space>
                    </div>}
                    destroyTooltipOnHide
                >
                    <Space style={{ width: '100%' }}>
                        {/* <video src={video} height={20} /> */}
                        <a>{title}</a>
                    </Space>
                </Popover>
            </div>
        } else {
            return <span>--</span>
        }

    }, [creativeComponents])

    return el
}

export default React.memo(Box)